This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 90512 - apmscript tries to restart services before restarting net devices
apmscript tries to restart services before restarting net devices
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-08 21:58 EDT by Dan Berger
Modified: 2015-01-07 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.2-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-19 16:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch that corrects the described behavior (YMMV) (1.33 KB, patch)
2003-05-08 21:59 EDT, Dan Berger
no flags Details | Diff

  None (edit)
Description Dan Berger 2003-05-08 21:58:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030313 Galeon/1.3.4

Description of problem:
If the user edits /etc/sysconfig/apmd and adds services to restart on resume,
and those services rely on the network devices being up, the services never
sucessfully restart as the network "stuff" is done after the "RESTORESERVICES"
stuff.

Version-Release number of selected component (if applicable):
apmd-3.0.2-18

How reproducible:
Always

Steps to Reproduce:
1. add a service (i.e. an ssh tunnel) that needs the network to the
RESTORESERVICES list
2. suspend and resume
3.
    

Additional info:
Comment 1 Dan Berger 2003-05-08 21:59:07 EDT
Created attachment 91576 [details]
patch that corrects the described behavior (YMMV)
Comment 2 Bill Nottingham 2003-05-19 16:37:20 EDT
Fixed in 3.0.2-19, thanks!

Note You need to log in before you can comment on or make changes to this bug.